function [x, U, D, g] = PCAsvd(images, d)
%calculate the principal components of 'images'

%size of training set
k = 300;

xi = zeros(16800, k);

% calculate mean image and covariance matrix
for i = 1:k
    xi(:,i) = reshape(images{i}.img, [], 1);
end
%mean column vector
x = (1/k) * sum(xi, 2);

%subtract mean
xi = xi - repmat(x, 1, k);

%xi = xi / sqrt(k-1);
size(xi)

%Covariance matrix
C = (1/k-1) * (xi' * xi);

%Singular Value Decomposition
[S D E] = svd(C);
%use desired precision
D = D(1:d, 1:d);
E = E(1:d, :);

%Principal components
U = (E*xi')';

%Make a reduced representation of the training set images
g = U'*xi;

whos