function pos = estimatePosition(images, i, g, U, x)
%try to estimate the position of images{i}, by finding its nearest neighbor
%in the test set (g).

%make column vector of image
im = reshape(images{i}.img, [], 1);

%subtract mean
im = (im - x);

%reduced representation of the image in question
ng = U' * im;

result = zeros(size(g,2), 1);

%loop over the training set
for a = 1:size(g,2)
    result(a)=norm(g(:,a) - ng);
    %bypass PCA and compare pixels directly:
    %result(a) = norm(reshape(images{a}.img, [], 1) - reshape(images{i}.img, [], 1));
end

[v,j] = min(result);

pos = images{j}.position;